aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh
diff options
context:
space:
mode:
authorMartin Schiller <ms.3headeddevs@gmail.com>2019-08-21 09:06:54 +0200
committerAdrian Schmutzler <freifunk@adrianschmutzler.de>2020-07-17 12:14:32 +0200
commit4d8552c26527428e041a490a365b5cbd3495119e (patch)
treeedde8db8bd1431979f33c6a2694b4de20d277470 /package/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh
parent1de9cac2f993738bf6a7ff2261bb382549a7863b (diff)
downloadupstream-4d8552c26527428e041a490a365b5cbd3495119e.tar.gz
upstream-4d8552c26527428e041a490a365b5cbd3495119e.tar.bz2
upstream-4d8552c26527428e041a490a365b5cbd3495119e.zip
lantiq: move dsl related base-files into own package
It does not make sense to install this components on lantiq systems where the dsl subsystem is not needed/used. This also makes it possible to use the files also on other targets. (hopefully ipq401x / FritzBox 7530 in the near future) Signed-off-by: Martin Schiller <ms.3headeddevs@gmail.com>
Diffstat (limited to 'package/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh')
-rwxr-xr-xpackage/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/package/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh b/package/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh
new file mode 100755
index 0000000000..dd8e84a1af
--- /dev/null
+++ b/package/network/utils/ltq-dsl-base/files/etc/hotplug.d/dsl/led_dsl.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+[ "$DSL_NOTIFICATION_TYPE" = "DSL_INTERFACE_STATUS" ] || exit 0
+
+. /lib/functions.sh
+. /lib/functions/leds.sh
+
+led_dsl_up() {
+ case "$(config_get led_dsl trigger)" in
+ "netdev")
+ led_set_attr $1 "trigger" "netdev"
+ led_set_attr $1 "device_name" "$(config_get led_dsl dev)"
+ for m in $(config_get led_dsl mode); do
+ led_set_attr $1 "$m" "1"
+ done
+ ;;
+ *)
+ led_on $1
+ ;;
+ esac
+}
+
+config_load system
+config_get led led_dsl sysfs
+if [ -n "$led" ]; then
+ case "$DSL_INTERFACE_STATUS" in
+ "HANDSHAKE") led_timer $led 500 500;;
+ "TRAINING") led_timer $led 200 200;;
+ "UP") led_dsl_up $led;;
+ *) led_off $led
+ esac
+fi